# Get project keys

Gets a list of the public RSA project keys.

To validate user JWT, choose the library and pass an appropriate public key from the response to this call to the validation function.

 

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: GET /projects/{project_id}/keys
Version: v1

## Path parameters:

  - `project_id` (string, required)
    Login project ID from Publisher Account.

## Response 200 fields (application/json):

  - `alg` (string, required)
    Specific cryptographic algorithm used with the key.

  - `e` (string, required)
    Exponent for the RSA public key.

  - `kid` (string, required)
    Unique key identifier.

  - `kty` (string, required)
    Family of cryptographic algorithms used with the key.

  - `n` (string, required)
    Modulus for the RSA public key.

  - `use` (string, required)
    How the key was meant to be used. The sig value represents the signature.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


